<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Document</title>
  <link rel="stylesheet" href="styles.css">
  <script src="https://unpkg.com/vue"></script>
</head>

<body>
  <div id="app">
    <h1>Iterando em objetos - acesso direto de atributo</h1>
    <ul>
      <li v-for="pessoa in pessoas">{{pessoa.nome}}</li>
    </ul>

    <h1>Iterando em objetos - acesso percorrendo os valores dos atributos</h1>
    <ul>
      <li v-for="(pessoa, i) in pessoas">
        {{ i + 1 }}ª lista
        <ul>
          <li v-for="valor in pessoa">
            {{ valor }}
          </li>
        </ul>
      </li>
    </ul>

    <h1>Iterando em objetos - acesso percorrendo os valores, nomes (chaves) e índices dos atributos</h1>
    <ul>
      <li v-for="(pessoa, i) in pessoas">
        {{ i + 1 }}ª lista
        <ul>
          <li v-for="(valor, chave, index) in pessoa">
            {{ index }}ª chave - {{chave}}: {{ valor }}
          </li>
        </ul>
      </li>
    </ul>
  </div>
  <script src="app.js"></script>
</body>

</html>